Bug 97954 - (SCSI MEGARAID)Raid error with kernal 2.4.20-18.8
(SCSI MEGARAID)Raid error with kernal 2.4.20-18.8
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-24 12:00 EDT by Cheryl Hilman
Modified: 2007-04-18 12:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cheryl Hilman 2003-06-24 12:00:03 EDT
Description of problem:
I just recieved a Dell system with RedHat 8.0 installed. I ran up2date on it 
and installed the kernal upgrade. 

Then did mkinitrd to create the inital RAM for the new kernal in /boot 
mkinitrd -v /boot/initrd-2.4.20-18.8   2.4.20-18.8

and setup grub.conf to boot the new kernal. The new kernal boots and I do not 
see any errors yet but a utility MegaMonitor reports about every 2 seconds via 

e-mail to root that 

ReadEng:  Failed to Read 40Ld NVRAM cfg,

If I boot the original kernal 2.4.18, I do not get these messages.



Version-Release number of selected component (if applicable):
8.0 2.4.18 update to 8.0 2.4.20-18.8

How reproducible
Described above

Steps to Reproduce:
1.Run up2date
2.mkinitrd -v /boot/initrd-2.4.20-18.8   2.4.20-18.8
3.setup grub.conf to boot the new kernal
    
Actual results:
The new kernal boots and I do not see any errors yet but a utility MegaMonitor 
reports about every 2 seconds via e-mail to root that 

ReadEng:  Failed to Read 40Ld NVRAM cfg,


Expected results:
No errors from MegaMonitor

Additional info:
This error was submitted under my support with RedHat Request Number 239843 and 
I got this reply

Dear Sir,

It seems that there have been known problems with the Raid utility in the Dell
system and the latest updates. It doesn't have a solution as of yet. You may
try posting this as a bug in:

  http://bugzilla.redhat.com
Comment 1 Alan Cox 2003-06-27 16:34:11 EDT
There is an incompatibility between the current errata kernel and the megamon
utility. 
Comment 2 Philip Ross 2003-07-23 16:34:44 EDT
The latest errata kernel (https://rhn.redhat.com/errata/RHSA-2003-238.html)
appears to have fixed these issues with the Dell megaraid tools.
Comment 3 Bugzilla owner 2004-09-30 11:41:11 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.